# List assets by provider share

Launch stage: GA

`GET /api/2.1/data-sharing/providers/{provider_name_arg}/shares/{share_name_arg}`

Get arrays of assets associated with a specified provider's share.
 The caller is the recipient of the share.

API scopes: sharing

## Path parameters

- `provider_name_arg` (string, required)
  The name of the provider who owns the share.
- `share_name_arg` (string, required)
  The name of the share.

## Query parameters

- `table_max_results` (int32, optional)
  Maximum number of tables to return.
  Default: `500`
  Constraints: `<= 500`
- `function_max_results` (int32, optional)
  Maximum number of functions to return.
  Default: `500`
  Constraints: `<= 500`
- `volume_max_results` (int32, optional)
  Maximum number of volumes to return.
  Default: `500`
  Constraints: `<= 500`
- `notebook_max_results` (int32, optional)
  Maximum number of notebooks to return.
  Default: `100`
  Constraints: `<= 100`

## Returns

- `tables` (array of object, optional)
  The list of tables in the share.
  - `name` (string, optional)
    The name of the table.
  - `schema` (string, optional)
    The name of the schema that the table belongs to.
  - `share` (string, optional)
    The name of the share that the table belongs to.
  - `share_id` (string, optional)
    The id of the share that the table belongs to.
  - `id` (string, optional)
    The id of the table.
  - `comment` (string, optional)
    The comment of the table.
  - `tags` (array of object, optional)
    The Tags of the table.
    - `key` (string, optional)
      name of the tag
    - `value` (string, optional)
      value of the tag associated with the key, could be optional
  - `materialized_table_name` (string, optional)
    The name of a materialized table.
  - `materialization_namespace` (string, optional)
    The catalog and schema of the materialized table
- `functions` (array of object, optional)
  The list of functions in the share.
  - `name` (string, optional)
    The name of the function.
  - `schema` (string, optional)
    The name of the schema that the function belongs to.
  - `share` (string, optional)
    The name of the share that the function belongs to.
  - `share_id` (string, optional)
    The id of the share that the function belongs to.
  - `id` (string, optional)
    The id of the function.
  - `storage_location` (string, optional)
    The storage location of the function.
  - `comment` (string, optional)
    The comment of the function.
  - `aliases` (array of object, optional)
    The aliass of registered model.
    - `alias_name` (string, optional)
      Name of the alias.
    - `version_num` (int64, optional)
      Numeric model version that alias will reference.
  - `tags` (array of object, optional)
    The tags of the function.
    - `key` (string, optional)
      name of the tag
    - `value` (string, optional)
      value of the tag associated with the key, could be optional
  - `securable_kind` (string, optional)
    The securable kind of the function.
    Possible values:
    - `FUNCTION_STANDARD`
    - `FUNCTION_REGISTERED_MODEL`
    - `FUNCTION_FEATURE_SPEC`
  - `full_data_type` (string, optional)
    The full data type of the function.
  - `data_type` (string, optional)
    The data type of the function.
    Possible values:
    - `BOOLEAN`
    - `BYTE`
    - `SHORT`
    - `INT`
    - `LONG`
    - `FLOAT`
    - `DOUBLE`
    - `DATE`
    - `TIMESTAMP`
    - `STRING`
    - `BINARY`
    - `DECIMAL`
    - `INTERVAL`
    - `ARRAY`
    - `STRUCT`
    - `MAP`
    - `CHAR`
    - `NULL`
    - `USER_DEFINED_TYPE`
    - `TIMESTAMP_NTZ`
    - `VARIANT`
    - `TABLE_TYPE`
  - `routine_definition` (string, optional)
    The routine definition of the function.
  - `input_params` (object, optional)
    The function parameter information.
    - `parameters` (array of object, optional)
      The list of parameters of the function.
      - `name` (string, optional)
        The name of the parameter.
      - `type_text` (string, optional)
        The type of the parameter in text format.
      - `type_json` (string, optional)
        The type of the parameter in JSON format.
      - `type_name` (string, optional)
        The type of the parameter in Enum format.
        Possible values:
        - `BOOLEAN`
        - `BYTE`
        - `SHORT`
        - `INT`
        - `LONG`
        - `FLOAT`
        - `DOUBLE`
        - `DATE`
        - `TIMESTAMP`
        - `STRING`
        - `BINARY`
        - `DECIMAL`
        - `INTERVAL`
        - `ARRAY`
        - `STRUCT`
        - `MAP`
        - `CHAR`
        - `NULL`
        - `USER_DEFINED_TYPE`
        - `TIMESTAMP_NTZ`
        - `VARIANT`
        - `TABLE_TYPE`
      - `type_precision` (int32, optional)
        The precision of the parameter type.
      - `type_scale` (int32, optional)
        The scale of the parameter type.
      - `type_interval_type` (string, optional)
        The interval type of the parameter type.
      - `position` (int32, optional)
        The position of the parameter.
      - `parameter_mode` (string, optional)
        The mode of the function parameter.
        Possible values:
        - `IN`
        - `OUT`
        - `INOUT`
      - `parameter_type` (string, optional)
        The type of the function parameter.
        Possible values:
        - `PARAM`
        - `COLUMN`
      - `parameter_default` (string, optional)
        The default value of the parameter.
      - `comment` (string, optional)
        The comment of the parameter.
  - `dependency_list` (object, optional)
    The dependency list of the function.
    - `dependencies` (array of object, optional)
      An array of Dependency.
      - `table` (object, optional)
        - `schema_name` (string, optional)
        - `table_name` (string, optional)
      - `function` (object, optional)
        - `schema_name` (string, optional)
        - `function_name` (string, optional)
  - `properties` (string, optional)
    The properties of the function.
- `notebooks` (array of object, optional)
  The list of notebooks in the share.
  - `name` (string, optional)
    Name of the notebook file.
  - `share` (string, optional)
    The name of the share that the notebook file belongs to.
  - `share_id` (string, optional)
    The id of the share that the notebook file belongs to.
  - `id` (string, optional)
    The id of the notebook file.
  - `comment` (string, optional)
    The comment of the notebook file.
  - `tags` (array of object, optional)
    The tags of the notebook file.
    - `key` (string, optional)
      name of the tag
    - `value` (string, optional)
      value of the tag associated with the key, could be optional
- `volumes` (array of object, optional)
  The list of volumes in the share.
  - `name` (string, optional)
    The name of the volume.
  - `id` (string, optional)
    This id maps to the shared_volume_id in database
     Recipient needs shared_volume_id for recon
     to check if this volume is already in recipient's DB or not.
  - `schema` (string, optional)
    The name of the schema that the volume belongs to.
  - `share` (string, optional)
    The name of the share that the volume belongs to.
  - `share_id` (string, optional)
    / The id of the share that the volume belongs to.
  - `comment` (string, optional)
    The comment of the volume.
  - `tags` (array of object, optional)
    The tags of the volume.
    - `key` (string, optional)
      name of the tag
    - `value` (string, optional)
      value of the tag associated with the key, could be optional
- `share` (object, optional)
  The metadata of the share.
  - `name` (string, optional)
  - `id` (string, optional)

## Response

```json
{
  "tables": [
    {
      "name": "string",
      "schema": "string",
      "share": "string",
      "share_id": "string",
      "id": "string",
      "comment": "string",
      "tags": [
        {}
      ],
      "materialized_table_name": "string",
      "materialization_namespace": "string"
    }
  ],
  "functions": [
    {
      "name": "string",
      "schema": "string",
      "share": "string",
      "share_id": "string",
      "id": "string",
      "storage_location": "string",
      "comment": "string",
      "aliases": [
        {}
      ],
      "tags": [
        {}
      ],
      "securable_kind": "FUNCTION_STANDARD",
      "full_data_type": "string",
      "data_type": "BOOLEAN",
      "routine_definition": "string",
      "input_params": {},
      "dependency_list": {},
      "properties": "string"
    }
  ],
  "notebooks": [
    {
      "name": "string",
      "share": "string",
      "share_id": "string",
      "id": "string",
      "comment": "string",
      "tags": [
        {}
      ]
    }
  ],
  "volumes": [
    {
      "name": "string",
      "id": "string",
      "schema": "string",
      "share": "string",
      "share_id": "string",
      "comment": "string",
      "tags": [
        {}
      ]
    }
  ],
  "share": {
    "name": "string",
    "id": "string"
  }
}
```

